/* ADDED BY WEBADMIN - CSS for table styling with specific styles for text, borders, and rows */
/* Target tables with the 'custom-table' class in SP Page Builder Text Blocks */
.sppb-addon-text-block.custom-table table {
  border-collapse: collapse !important;
  width: 100% !important;
  overflow: hidden !important;
  border: solid 1px #CCC !important;
  text-align: left !important;
  border-radius: 5px !important;
}

/* Apply styling to the first row, including headers */
.sppb-addon-text-block.custom-table table tr:first-child th,
.sppb-addon-text-block.custom-table table tr:first-child td {
  background-color: #006769 !important; /* Dark teal color */
  color: #ffffff !important; /* White color for text */
}

/* Apply styling specifically to header cells (th) */
.sppb-addon-text-block.custom-table table th {
  background-color: #006769 !important; /* Dark teal color for all header cells */
  color: #ffffff !important; /* White color for text in all header cells */
}

.sppb-addon-text-block.custom-table table tr:nth-child(even):not(:first-child) {
  background-color: #ffffff !important;
}

.sppb-addon-text-block.custom-table table tr:nth-child(odd):not(:first-child) {
  background-color: #dddddd !important;
}

.sppb-addon-text-block.custom-table table td {
  padding: 8px !important;
  border: 1px solid #ddd !important;
}

/* Target tables with the 'custom-table' class in Joomla articles */
/* Target tables with the 'custom-table' class inside Joomla articles */
article.item.item-page.item-featured .custom-table table {
  border-collapse: collapse !important;
  width: 100% !important;
  height: auto !important; /* To prevent inline height from taking effect */
  overflow: hidden !important;
  border: solid 1px #CCC !important;
  text-align: left !important;
  border-radius: 5px !important;
}

article.item.item-page.item-featured .custom-table table tr:first-child {
  background-color: #006769 !important;
  color: #ffffff !important;
}

article.item.item-page.item-featured .custom-table table tr:nth-child(even):not(:first-child) {
  background-color: #ffffff !important;
}

article.item.item-page.item-featured .custom-table table tr:nth-child(odd):not(:first-child) {
  background-color: #dddddd !important;
}

article.item.item-page.item-featured .custom-table table td {
  padding: 8px !important;
  border: 1px solid #ddd !important;
